import 'dart:convert';

import '../getsocial_flutter_sdk.dart';
import 'codable.dart';

class PagingResult<T> {
  PagingResult.fromJSON(Map<String, dynamic> json, T Function(Map<String, dynamic>) mapper) {
    entries = (json['entries'] as List<dynamic>).map((e) => mapper(e)).toList();
    next = json['next'];
  }

  /// Entries
  List<T> entries;

  /// Cursor for pagination
  String next;
}